net.sf.saxon.type

## Interface SchemaDeclaration

- All Known Implementing Classes:
    AttributeDecl, ElementDecl

      public interface SchemaDeclaration

  This is a marker interface that acts as a surrogate for an object representing a global element or attribute declaration. The real implementation of these declarations is available in the schema-aware version of the Saxon product.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFingerprint()` Get the name of the schema component
    `SchemaType` | `getType()` Get the simple or complex type associated with the element or attribute declaration
    `boolean` | `isAbstract()` Determine, in the case of an Element Declaration, whether the declaration is abstract
    `boolean` | `isNillable()` Determine, in the case of an Element Declaration, whether it is nillable.
    `NodeTest` | `makeSchemaNodeTest()` Create a NodeTest that implements the semantics of schema-element(name) or schema-attribute(name) applied to this element or attribute declaration.

- - ### Method Detail

    - #### getFingerprint

          int getFingerprint()

      Get the name of the schema component
      Returns:
        the fingerprint of the component name

    - #### getType

          SchemaType getType()

      Get the simple or complex type associated with the element or attribute declaration
      Returns:
        the simple or complex type

    - #### makeSchemaNodeTest

          NodeTest makeSchemaNodeTest()

      Create a NodeTest that implements the semantics of schema-element(name) or schema-attribute(name) applied to this element or attribute declaration.

    - #### isNillable

          boolean isNillable()

      Determine, in the case of an Element Declaration, whether it is nillable.

    - #### isAbstract

          boolean isAbstract()

      Determine, in the case of an Element Declaration, whether the declaration is abstract

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.